from .grpc_lib.search_pb2 import (
    CreateKeywordRequest,
    SearchWordRequest,
)
from .grpc_lib.search_pb2_grpc import (
    CreateKeywordControllerStub,
    SearchKeywordControllerStub,
)

SUCCESS_CODE = "0"


class KeywordRequestMessages:
    CREATE = CreateKeywordRequest()
    SEARCH = SearchWordRequest()


class KeywordRPCMethodNames:
    CREATE = "Create"
    SEARCH = "Search"


class KeywordControllerStubs:
    CREATE = CreateKeywordControllerStub()
    SEARCH = SearchKeywordControllerStub()
